module TB_mux_alu_a;
   reg [7:0] f,k,w;
   reg 		 op_comf,
		 op_decf,
		 op_decfsz,
		 op_incf,
		 op_incfsz,
		 /*
		 op_iorwf,    // default operation
		  */
		 op_movf,
//		 op_movwf,
		 op_rlf,
		 op_rrf,
		 op_subwf,
		 op_swapf,
		 /*
		 op_xorwf,    // default operation
		 */
		 
		 op_bcf,
		 op_bsf,
		 op_btfsc,
		 op_btfss,
	      
		 op_andlw,
		 op_iorlw,
		 op_movlw,
		 op_retlw,
		 op_xorlw;
   wire [7:0] alu_a;

   mux_alu_a u(f, 
	       k, 
	       w,
		/* op_addwf,  // default operation
		 op_andwf,*/
	       //		 op_clrf,
//		 op_clrw,
	       op_comf,
	       op_decf,
	       op_decfsz,
	       op_incf,
	       op_incfsz,
		 /*
		 op_iorwf,    // default operation
		  */
	       op_movf,
//		 op_movwf,
	       op_rlf,
	       op_rrf,
	       op_subwf,
	       op_swapf,
		 /*
		 op_xorwf,    // default operation
		 */
		 
	       op_bcf,
	       op_bsf,
	       op_btfsc,
	       op_btfss,
	       
	       op_andlw,
	       op_iorlw,
	       op_movlw,
	       op_retlw,
	       op_xorlw,
		 
	       alu_a);

   initial begin
      f = 10;
      w =1;
      k = 15;
   end

   always @(alu_a)
     $display("alu_a:%b", alu_a);
endmodule // TB_mux_alu_a

   