/*
 * PIC16C5x compatible processor
 * 
 * 
 *               Park, Chunghoon(shyfool@hanmail.net)
 *           High-Speed Digital Circuit Lab in Kyungpook National University
 * 
 * 
 * This is based on Ans_Risc_Core8(VHDL)(http://www.anslab.co.kr)
 * 
 * YOU CAN USE FREELY WITH YOUR OWN RISK
 * -------------------------------------
 */
module reg_w(clk,
	     reset,
	     in,
	     out);
   input clk, reset;
   input [7:0] in;
   output [7:0] out;
   
   reg [7:0] 	out;
   
   always @(posedge clk or posedge reset) begin
      if(reset == 1)
	out <= 8'b0000_0000;
      else
	out <= in;
   end
endmodule // reg_w
