module TB_alu_op;
   reg [3:0] op;
   reg [7:0] a, b;
   reg 	     carry_in;
   wire [7:0] alu_out;
   wire       zero_out, dc_out, carry_out;

   reg 	      clk;
   
   alu_op u(op, a, b, carry_in, alu_out, zero_out, dc_out, carry_out);

   always begin
      #10 clk = 0;
      #10 clk = 1;
   end

   always @(posedge clk) begin
      op = 4'b0000;
      a = 5;
      b = 3;
      carry_in=0;
   end

   always @(alu_out)
     $display("alu: %d", alu_out);
   
endmodule   
   
   
   
	     